Skip to main content
GET
List companies

Authorizations

Authorization
string
header
required

Use a personal or organization Pav API key from Pav developer settings. Send it as Authorization: Bearer <api_key>.

Query Parameters

q
string | null

Free text.

Maximum string length: 300
company_id
string[] | null

Company ids, comma-separated.

Example:

"412"

has_pipeline
boolean | null

Only companies with (or without) a tracked pipeline.

sort
string | null

One of asset_count, name; prefix - to descend. Default -asset_count.

limit
integer
default:50

Rows per page (1-200).

Required range: 1 <= x <= 200
Example:

50

cursor
string | null

next_cursor from the previous page.

Maximum string length: 2000

Response

Successful Response

data
Company · object[]
required

Page of company rows.

next_cursor
string | null

Pass as cursor to get the next page. Null on the last page. See Conventions.

Example:

"eyJyIjoicHJvZ3JhbXMiLCJzIjoiY29tcGFueSJ9"

total
integer | null

Rows matching the filters. Null for relevance-ranked q results.

Example:

1284